import request from '@/utils/request'

// 查询客户标签列表
export function listLable(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/lable/list',
    method: 'get',
    params: query
  })
}

// 查询客户标签详细
export function getLable(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/lable/' + id,
    method: 'get'
  })
}



// 新增客户标签
export function addLable(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/lable',
    method: 'post',
    data: data
  })
}

// 修改客户标签
export function updateLable(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/lable',
    method: 'put',
    data: data
  })
}

// 删除客户标签
export function delLable(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/lable/' + id,
    method: 'delete'
  })
}



// 查询客户标签列表
export function listLableNoPage() {
  request.defaults.baseURL = '/ezhizao-yzbh-crm'
  return request({
    url: '/business/lable/getList',
    method: 'get',
  })
}